%global curdatetime		%(date +%%Y%%m%%d%%H%%M%%S)
%global commit0			4d1bb4ced535c29f6f1f66eacaa2448ec1b419c1
%global shortcommit0	%(c=%{commit0}; echo ${c:0:7})

%define package_name	Data-Dump
%define project_name	perl6-data-dump
%define developer_name	tony-o

Name:			rakudo-%{package_name}
Version:		0
Release:		1.%{shortcommit0}%{?dist}
Summary:		Stringify perl data structures, suitable for printing and eval
License:		Unknown
URL:			https://github.com/%{developer_name}/%{project_name}
Source0:		https://github.com/%{developer_name}/%{project_name}/archive/%{commit0}.tar.gz#/%{name}-%{version}.git_%{shortcommit0}.tar.gz

BuildArch:		noarch

BuildRequires:	rakudo >= %rakudo_rpm_version
Requires:		rakudo >= %rakudo_rpm_version

%description
Given a list of scalars or reference variables, writes out their contents
in perl syntax. The references can also be objects. The content of each
variable is output in a single Perl statement. Handles self-referential
structures correctly.

%prep
%setup -q -n %{project_name}-%{commit0}

%build
true

%install
export QA_SKIP_BUILD_ROOT=1
RAKUDO_RERESOLVE_DEPENDENCIES=0 %perl6_mod_inst --to=%{buildroot}%{perl6_vendor_dir} --for=vendor


%check
perl6 -Ilib t/*.t


%files
%{perl6_vendor_dir}/*/*


%changelog
* Tue Oct 23 2018 Michal Ingeli <mi@v3.sk> - 0-1
- New package
